> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/api-reference/containers/private-container-registry/tokens/list-all-tokens-for-the-container-registry.md).

# List all tokens for the container registry

```json
{"openapi":"3.0.3","info":{"title":"Container Registry service","version":"1.2.2"},"tags":[{"name":"Tokens","description":"Define access permissions to registry resources\nThis tag groups all operations for tokens.\n"}],"servers":[{"url":"https://api.ionos.com/containerregistries","description":"Production"}],"security":[{"basicAuth":[]},{"tokenAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication"},"tokenAuth":{"type":"apiKey","name":"Authorization","in":"header","description":"Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token        "}},"schemas":{"TokensResponse":{"required":["limit","offset","count","total","_links"],"type":"object","properties":{"_links":{"$ref":"#/components/schemas/PaginationLinks"},"count":{"type":"integer"},"href":{"type":"string"},"id":{"type":"string"},"items":{"type":"array","items":{"$ref":"#/components/schemas/TokenResponse"},"nullable":true},"limit":{"type":"integer"},"offset":{"type":"integer"},"total":{"type":"integer"},"type":{"type":"string"}}},"PaginationLinks":{"required":["next","self","previous"],"type":"object","properties":{"next":{"type":"string"},"previous":{"type":"string"},"self":{"type":"string"}}},"TokenResponse":{"required":["metadata","properties"],"type":"object","properties":{"href":{"type":"string"},"id":{"type":"string","format":"uuid"},"metadata":{"$ref":"#/components/schemas/ApiResourceMetadata"},"properties":{"$ref":"#/components/schemas/TokenProperties"},"type":{"type":"string"}}},"ApiResourceMetadata":{"title":"Metadata","required":["createdBy","createdByUserId","createdDate","state"],"type":"object","properties":{"createdBy":{"type":"string"},"createdByUserId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedByUserId":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time","nullable":true},"state":{"type":"string"}},"nullable":true},"TokenProperties":{"required":["name","credentials"],"type":"object","properties":{"credentials":{"$ref":"#/components/schemas/Credentials"},"expiryDate":{"type":"string","format":"date-time","nullable":true},"name":{"minLength":1,"pattern":"^[A-Za-z][-A-Za-z0-9]{0,61}[A-Za-z0-9]$","type":"string"},"scopes":{"type":"array","items":{"$ref":"#/components/schemas/Scope"},"nullable":true},"status":{"enum":["enabled","disabled"],"type":"string"}},"nullable":true},"Credentials":{"required":["username","password"],"type":"object","properties":{"password":{"type":"string"},"username":{"type":"string"}},"nullable":true},"Scope":{"required":["actions","name","type"],"type":"object","properties":{"actions":{"type":"array","items":{"type":"string"},"nullable":true},"name":{"type":"string"},"type":{"type":"string"}}},"ApiErrorResponse":{"required":["httpStatus","messages"],"type":"object","properties":{"httpStatus":{"type":"integer"},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ApiErrorMessage"},"nullable":true}}},"ApiErrorMessage":{"required":["errorCode","message"],"type":"object","properties":{"errorCode":{"type":"string"},"message":{"type":"string"}}}}},"paths":{"/registries/{registryId}/tokens":{"get":{"tags":["Tokens"],"summary":"List all tokens for the container registry","description":"","operationId":"registriesTokensGet","parameters":[{"name":"offset","in":"query","description":"The first element (from the complete list of the elements) to include in the response (used together with limit for pagination)","schema":{"type":"string","description":"The first element (from the complete list of the elements) to include in the response (used together with limit for pagination)","default":"0"}},{"name":"limit","in":"query","description":"The maximum number of elements to return (used together with offset for pagination)","schema":{"type":"string","description":"The maximum number of elements to return (used together with offset for pagination)","default":"100"}},{"name":"registryId","in":"path","description":"The unique ID of the registry","required":true,"schema":{"pattern":"^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$","type":"string","format":"uuid","description":"The unique ID of the registry"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokensResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/api-reference/containers/private-container-registry/tokens/list-all-tokens-for-the-container-registry.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
